// import 'dart:convert';
// import 'dart:ui';
//
// import 'package:cached_network_image/cached_network_image.dart';
// import 'package:chhota_stocks_flutter/src/core/config/chhota_stocks_config.dart';
// import 'package:chhota_stocks_flutter/src/core/core.dart';
// import 'package:flutter/material.dart';
// import 'package:flutter_bloc/flutter_bloc.dart';
// import 'package:flutter_svg/svg.dart';
// import 'package:scgateway_flutter_plugin/scgateway_flutter_plugin.dart';
//
// import '../commonWidget/src/web_view_widget.dart';
// import '../initSDK/bloc/init_sdk_cubit.dart';
// import '../initSDK/ui/home_header_card_desc.dart';
// import '../saveLead/bloc/save_lead_cubit.dart';
// import '../saveLead/model/leadgen_status_response.dart';
//
// final baseImagePath="https://assets.chhotastock.com/app/";
//
// class LICCard extends StatelessWidget {
//   const LICCard({Key? key}):super(key: key);
//   @override
//   Widget build(BuildContext context) {
//     return BlocBuilder<InitSdkCubit,InitSdkState>(
//         builder: (context,state){
//           if(state is InitSdkSuccess&&state.licLink!=null&&state.licLink!.isNotEmpty
//               &&!ChhotaStocksConfig.getInstance().isGuestUser){
//             return _LICCard(onTap: (){
//               Navigator.push(
//                   context,
//                   MaterialPageRoute(
//                       builder: (context) =>  WebviewWidget(
//                           heading: "Link Policy", url: state.licLink!)));
//             },isReturningUser: true,);
//
//           }else if(state is InitSdkSuccess&&state.licLink!=null&&state.licLink!.isNotEmpty
//               &&ChhotaStocksConfig.getInstance().isGuestUser){
//
//             return const _LICNewUserCard();
//
//           }else{
//             return const HomeHeaderCardDesc();
//           }
//         }
//
//     );
//
//
//
//   }
// }
//
//
// class _LICNewUserCard extends StatelessWidget {
//   const _LICNewUserCard({Key? key}):super(key: key);
//   @override
//   Widget build(BuildContext context) {
//     return BlocProvider<SaveLeadCubit>(
//       create: (context) => SaveLeadCubit(),
//       child:_LICNewUserLogicCard(),
//     );
//   }
// }
//
// class _LICNewUserLogicCard extends StatelessWidget {
//   @override
//   Widget build(BuildContext context) {
//     return  _LICCard(onTap: (){
//       ScgatewayFlutterPlugin.leadGenWithStatus(
//           "", "", ChhotaStocksConfig.getInstance().mobile)
//           .then((value) {
//         if (value != null) {
//           try {
//             final response = jsonDecode(value);
//             final responseData =
//             LeadGenStatusResponse.fromJson(response);
//
//             BlocProvider.of<SaveLeadCubit>(context).saveLead(
//                 leadId: responseData.leadId ?? "",
//                 status: responseData.status ?? "");
//           } catch (e) {
//             debugPrint("Leadgen call failed:${e}");
//           }
//         }else{
//           BlocProvider.of<SaveLeadCubit>(context).saveLead(
//               leadId: "",
//               status:"");
//         }
//       });
//     },isReturningUser: false,);
//   }
// }
//
//
//
// class _LICCard extends StatelessWidget {
//   final VoidCallback onTap;
//   final bool isReturningUser;
//   const _LICCard({Key? key,required this.onTap,required this.isReturningUser}):super(key: key);
//   @override
//   Widget build(BuildContext context) {
//
//     return Padding(
//       padding: const EdgeInsets.symmetric(horizontal: 18),
//       child: InkWell(
//         onTap: onTap,
//         child: Container(
//           padding: const EdgeInsets.all(0.0),
//           decoration: BoxDecoration(
//               borderRadius: BorderRadius.circular(10),
//               image: const DecorationImage(
//                   image:  AssetImage(
//                     "assets/images/lic_card_bg.webp",
//                     package: "chhota_stocks_flutter"
//                   ),
//                   fit: BoxFit.cover
//               )
//           ),
//           child: Column(
//             crossAxisAlignment: CrossAxisAlignment.start,
//             children: [
//               const SizedBox(
//                 height: 14,
//               ),
//               Padding(
//                 padding:  EdgeInsets.symmetric(horizontal: 8,vertical: 16),
//                 child: Row(
//                   mainAxisAlignment: MainAxisAlignment.spaceBetween,
//                   children: [
//                     CachedNetworkImage(imageUrl:"${baseImagePath}hurryup.webp",height: 50,width: 140),
//
//                     CachedNetworkImage(imageUrl:"${baseImagePath}lic.webp",height: 50,width: 100)
//                   ],
//                 ),
//               ),
//               SizedBox(
//                 height: 10,
//               ),
//
//
//
//               isReturningUser?LicReturningUserBottomBar(onTap: onTap,):LicNewUserBottomBar(onTap: onTap,)
//             ],
//           ),
//         ),
//       ),
//     );
//   }
// }
//
// class LicNewUserBottomBar extends StatelessWidget {
//   final VoidCallback onTap;
//   const LicNewUserBottomBar({Key? key,required this.onTap}):super(key: key);
//
//   @override
//   Widget build(BuildContext context) {
//
//     return ClipRRect(
//       borderRadius:BorderRadius.only(bottomLeft: Radius.circular(10),bottomRight: Radius.circular(10)) ,
//       child: BackdropFilter(
//         filter: ImageFilter.blur(
//           sigmaX: 6.0,
//           sigmaY: 6.0,
//         ),
//         child: Padding(
//           padding: EdgeInsets.symmetric(vertical: 12,horizontal: 12),
//           child:  Row(
//             mainAxisAlignment: MainAxisAlignment.spaceBetween,
//             children: [
//               Row(
//                 children: [
//                   SvgPicture.network("${baseImagePath}cs_icon.svg",width: 40,height: 40,),
//                   const SizedBox(width: 20,),
//                   const _ColumnCardTxt(
//                     title: "Win gold worth",
//                     subTitle: "₹ 200",
//                   ),
//                 ],
//               ),
//
//               TextButton(
//                 onPressed:onTap,
//                 style: TextButton.styleFrom(
//                   primary: Theme.of(context).colorScheme.primaryColor,
//                   backgroundColor: Colors.white ,
//                   shape: RoundedRectangleBorder(
//                       borderRadius: BorderRadius.circular(50),
//                       side: BorderSide(color:  Theme.of(context).colorScheme.primaryColor)
//
//                   ),
//                 ),
//                 child: Padding(
//                   padding:  EdgeInsets.symmetric(vertical: 4,horizontal: 22),
//                   child: Text(
//                     "Open Demat",
//                     overflow: TextOverflow.ellipsis,
//                     style:TextStyle(
//                         fontSize: 12,
//                         fontFamily: "Inter-Regular-",
//                         color: Theme.of(context).colorScheme.primaryColor,
//                         fontWeight: FontWeight.w500
//                     ),
//                     maxLines: 2,
//                     textAlign: TextAlign.center,
//                   ),
//                 ),
//               ),
//
//             ],
//           ),
//         ),
//       ),
//     );
//   }
// }
//
//
// class LicReturningUserBottomBar extends StatelessWidget {
//   final VoidCallback onTap;
//   const LicReturningUserBottomBar({Key? key,required this.onTap}):super(key: key);
//
//   @override
//   Widget build(BuildContext context) {
//     return ClipRRect(
//       borderRadius:BorderRadius.only(bottomLeft: Radius.circular(10),bottomRight: Radius.circular(10)) ,
//       child: BackdropFilter(
//         filter: ImageFilter.blur(
//           sigmaX: 6.0,
//           sigmaY: 6.0,
//         ),
//         child: Padding(
//           padding: EdgeInsets.symmetric(vertical: 12,horizontal: 12),
//           child:  Row(
//             mainAxisAlignment: MainAxisAlignment.spaceBetween,
//             children: [
//               SvgPicture.network("${baseImagePath}chhota_stocks_white.svg",width: 40,height: 40,),
//
//               TextButton(
//                 onPressed:onTap,
//                 style: TextButton.styleFrom(
//                   primary: Theme.of(context).colorScheme.primaryColor,
//                   backgroundColor: Colors.white ,
//                   shape: RoundedRectangleBorder(
//                       borderRadius: BorderRadius.circular(50),
//                       side: BorderSide(color:  Theme.of(context).colorScheme.primaryColor)
//
//                   ),
//                 ),
//                 child: Padding(
//                   padding:  EdgeInsets.symmetric(vertical: 4,horizontal: 22),
//                   child: Text(
//                     "Link Policy",
//                     overflow: TextOverflow.ellipsis,
//                     style:TextStyle(
//                         fontSize: 12,
//                         fontFamily: "Inter-Regular-",
//                         color: Theme.of(context).colorScheme.primaryColor,
//                         fontWeight: FontWeight.w500
//                     ),
//                     maxLines: 2,
//                     textAlign: TextAlign.center,
//                   ),
//                 ),
//               ),
//
//             ],
//           ),
//         ),
//       ),
//     );
//   }
// }
//
//
//
// class _ColumnCardTxt extends StatelessWidget {
//   final String title;
//   final String subTitle;
//   const _ColumnCardTxt({Key? key,required this.title,required this.subTitle}):super(key: key);
//   @override
//   Widget build(BuildContext context) {
//     return Column(
//       children: [
//         Text(title,
//           overflow: TextOverflow.ellipsis,
//           style: TextStyle(
//               fontSize: 12,
//               fontFamily: "Inter-Medium",
//               color: Colors.white
//           ),),
//         SizedBox(height: 8.0,),
//
//         Text(subTitle,
//           overflow: TextOverflow.ellipsis,
//           style: TextStyle(
//               fontSize: 20,
//               fontWeight:FontWeight.w800,
//               //fontFamily: "Inter-ExtraBold",
//               color: Colors.white
//           ),),
//       ],
//     );
//   }
// }
//
//
//
//
//
